
import java.awt.*;

public class TempPanel extends Panel {

    private LinePlot plot;
    private Simulation s;

    public TempPanel(Simulation s) {
	plot = new LinePlot();
	this.s = s;
	
	setLayout(new BorderLayout());
	setFont(new Font("TimesRoman",Font.PLAIN,14));
	add("North",new Label("Temperature Plot",Label.CENTER));
	add("West",new Label("T",Label.RIGHT));
	add("South",new Label("timestep",Label.CENTER));
	add("Center",plot);
    }

    public void update() {
	plot.plotData(s.temp);
    }

}
